package com.rehome.mqttclienttemperature.service;

import com.rehome.mqttclienttemperature.entity.Temperature;
import org.springframework.data.domain.Sort;

import java.util.List;

public interface TemperatureService {
    //温度和湿度
    void saveTemperature(String temperatureAndHumidityData,String topic);
    void saveTemperature(Temperature temperature);
    List<Temperature> findFirst10ByDataDateAndLocationDesc(String dataDate, String locationDesc);
    List<Temperature> findFirst10ByLocationDesc(String locationDesc);
    Temperature findFirstByOrderByLocationDescAsc(String locationDesc);
    List<Temperature> queryFirst10ByDataDateAndLocationDesc(String dataDate, String locationDesc);
}
